summaryrefslogtreecommitdiffstats
path: root/etc/patches/functest/disable-api-validation/apply.sh
diff options
context:
space:
mode:
authorGeorg Kunz <georg.kunz@ericsson.com>2018-04-01 11:35:09 +0200
committerGeorg Kunz <georg.kunz@ericsson.com>2018-04-17 19:14:14 +0000
commit749946dcc5b17cfca43c6e8692359f4972e48b21 (patch)
treebbfb42c881e4e2cb5947b6fb15e0b0fa095651c7 /etc/patches/functest/disable-api-validation/apply.sh
parent71ba21ff906d4104a81442d4712aac13cf4906d4 (diff)
Implementation of API validaton exemption in dovetail
This patch adds the ability to Dovetail to disable strict API response validation in Tempest-based test cases run by Functest. Corresponding updates of the web portal and backporting of this patch to OVP 1.0.0 (Danube) will follow. JIRA: DOVETAIL-633 Change-Id: Iace99ea1b6224ea907a2c3af8676e9285e6ad3ee Signed-off-by: Georg Kunz <georg.kunz@ericsson.com>
Diffstat (limited to 'etc/patches/functest/disable-api-validation/apply.sh')
-rwxr-xr-xetc/patches/functest/disable-api-validation/apply.sh12
1 files changed, 12 insertions, 0 deletions
diff --git a/etc/patches/functest/disable-api-validation/apply.sh b/etc/patches/functest/disable-api-validation/apply.sh
new file mode 100755
index 00000000..915bce43
--- /dev/null
+++ b/etc/patches/functest/disable-api-validation/apply.sh
@@ -0,0 +1,12 @@
+#!/bin/bash
+set -e
+set -u
+
+# without setting the user, git does not allow to create a commit
+git config --global user.email "verified@opnfv.org"
+git config --global user.name "Dovetail"
+
+cd /src/tempest
+git am $(dirname $0)/0001-Allow-additional-properties-in-API-responses.patch
+
+exit 0